import { Grid } from "@components/Grid";
import { Story, StoryDefault } from "@ladle/react";

export const GridStory: Story = () => (
  <>
    <Grid columns={2}>
      <div>Two Columns: Left Content</div>
      <div>Two Columns: Right Content</div>
    </Grid>
    <Grid columns={3}>
      <div>Three Columns: Left Content</div>
      <div>Three Columns: Middle Content</div>
      <div>Three Columns: Right Content</div>
    </Grid>
  </>
);
export default {
  title: "Atoms",
} satisfies StoryDefault;

GridStory.storyName = "Grid";
GridStory.meta = {
  descriptionTitle: "Grid",
  description:
    "This is a very simple Grid component to make it easier for non-programmers to create simple grid layouts within their content.",
};
