import { MessageSpace } from "@components/MessageSpace";
import { MessageRoom } from "@components/MessageRoom";
import { Story, StoryDefault } from "@ladle/react";

const ROOMS = [
  {
    target: "/",
    name: "[FCHH] Welcome!",
    tag: "#welcome:fabcity.hamburg",
    description:
      "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris ac  dante quis nisi porta lobortis vel ac ex. Nulla semper massa eros, vitae interdum dolor elementum eget. Proin dignissim volutpat diam. Donec sed nisi diam. Integer id dui at ligula lobortis viverra. Sed volutpat neque hendrerit accumsan efficitur. Pellentesque blandit, odio sed cursus bibendum, quam lacus fringilla lorem, nec maximus sapien mi non sapien.",
    image: {
      src: "https://picsum.photos/id/1005/200/300",
      alt: "something",
    },
    members: 123,
  },
  {
    target: "/",
    name: "[FCHH] Welcome!",
    tag: "#interfacer:fabcity.hamburg",
    description:
      "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris ac  dante quis nisi porta lobortis vel ac ex. Nulla semper massa eros, vitae interdum dolor elementum eget. Proin dignissim volutpat diam. Donec sed nisi diam. Integer id dui at ligula lobortis viverra. Sed volutpat neque hendrerit accumsan efficitur. Pellentesque blandit, odio sed cursus bibendum, quam lacus fringilla lorem, nec maximus sapien mi non sapien.",
    image: {
      src: "https://picsum.photos/id/1006/200/300",
      alt: "something",
    },
    members: 123,
  },
  {
    target: "/",
    name: "[FCHH] Welcome!",
    tag: "#verein:fabcity.hamburg",
    description:
      "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris ac  dante quis nisi porta lobortis vel ac ex. Nulla semper massa eros, vitae interdum dolor elementum eget. Proin dignissim volutpat diam. Donec sed nisi diam. Integer id dui at ligula lobortis viverra. Sed volutpat neque hendrerit accumsan efficitur. Pellentesque blandit, odio sed cursus bibendum, quam lacus fringilla lorem, nec maximus sapien mi non sapien.",
    image: {
      src: "https://picsum.photos/id/1075/200/300",
      alt: "something",
    },
    members: 123,
  },
];

const SPACE = {
  target: "/",
  name: "[FCHH] Welcome!",
  tag: "#welcome:fabcity.hamburg",
  description:
    "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris ac  dante quis nisi porta lobortis vel ac ex. Nulla semper massa eros, vitae interdum dolor elementum eget. Proin dignissim volutpat diam. Donec sed nisi diam. Integer id dui at ligula lobortis viverra. Sed volutpat neque hendrerit accumsan efficitur. Pellentesque blandit, odio sed cursus bibendum, quam lacus fringilla lorem, nec maximus sapien mi non sapien.",
  image: {
    src: "https://picsum.photos/id/1009/200/300",
    alt: "something",
  },
  members: 123,
  rooms: ROOMS,
};

export const MessageSpaceStory: Story = () => (
  <div className="container">
    <div className="fs-w-full lg:fs-w-2/3 fs-py-3">
      <MessageSpace
        title="Entdecke unseren Space:"
        target={SPACE.target}
        name={SPACE.name}
        tag={SPACE.tag}
        description={SPACE.description}
        image={SPACE.image}
        memberCount={SPACE.members}
      >
        {SPACE.rooms.map((room) => (
          <MessageRoom
            key={room.tag}
            target={room.target}
            name={room.name}
            tag={room.tag}
            description={room.description}
            image={room.image}
            members={room.members}
          />
        ))}
      </MessageSpace>
    </div>
  </div>
);

export default {
  title: "Molecules",
} satisfies StoryDefault;

MessageSpaceStory.storyName = "Message Space";
MessageSpaceStory.meta = {
  descriptionTitle: "Message Space",
  description:
    "This is a grouping of individual Room items for Chat/Messenger groups (like Matrix). Compared to the Room List, this also has a higher level description of the whole group of rooms. This can be used to represent/describe a messaging Space within Matrix.",
};
