import { Person } from "@components/Person";
import type { Story, StoryDefault } from "@ladle/react";

interface PersonConfigProps {
  name: string;
  position: string;
  organization?: string;
  email?: string;
  linkedin?: string;
  twitter?: string;
  instagram?: string;
  facebook?: string;
  mastodon?: string;
  xing?: string;
}

export const PersonStory: Story<PersonConfigProps> = ({
  name,
  position,
  email,
  linkedin,
  twitter,
  instagram,
  facebook,
  organization,
  mastodon,
  xing,
}: PersonConfigProps) => (
  <div className="container fs-flex">
    <Person
      image="https://picsum.photos/id/1005/500/500"
      name={name}
      position={position}
      organization={organization}
      email={email}
      linkedin={linkedin}
      twitter={twitter}
      instagram={instagram}
      facebook={facebook}
      mastodon={mastodon}
      xing={xing}
    />
  </div>
);

PersonStory.args = {
  name: "Max Mustermann",
  position: "Geschäftsführung",
  organization: "Fab City Hamburg e. V.",
  email: "test@example.com",
  linkedin: "https://www.google.de/",
  twitter: "https://www.google.de/",
  instagram: "https://www.google.de/",
  facebook: "https://www.google.de/",
  mastodon: "https://www.google.de/",
  xing: "https://www.google.de/",
};

export default {
  title: "Molecules",
} satisfies StoryDefault;

PersonStory.storyName = "Person";
PersonStory.meta = {
  descriptionTitle: "Person",
  description:
    "This component represents a Person with an image and contact information.",
};
