import { YoutubeEmbed } from "@components/YoutubeEmbed";
import type { Story, StoryDefault } from "@ladle/react";

interface YoutubeEmbedConfigProps {
  videoId: string;
}

export const YoutubeEmbedStory: Story<YoutubeEmbedConfigProps> = ({
  videoId,
}: YoutubeEmbedConfigProps) => (
  <div className="container">
    <h4 className="fs-text-lg fs-font-bold fs-mb-4">Youtube Embed</h4>
    <YoutubeEmbed videoId={videoId} />
  </div>
);

export default {
  title: "Molecules",
} satisfies StoryDefault;

YoutubeEmbedStory.args = {
  videoId: "sX7zWRswT-o",
};

YoutubeEmbedStory.storyName = "Youtube Embed";
