import { Footer } from "@components/Footer";
import { ITopBarItem } from "@interfaces/IHeader";
import FCHHLogo from "@assets/images/fchh_logo_linear_col_white.svg";
import FCHHLogoStacked from "@assets/images/fchh_logo_stacked_white.svg";
import { POLICY } from "@common/constants";

const TOPBAR_ITEMS: ITopBarItem[] = [
  {
    title: "Fab City Hamburg",
    target: "/",
    children: [
      {
        title: "FCHH Association FCHH Association",
        target: "/",
        children: [
          {
            title: "L3 Item 1",
            target: "/",
          },
          {
            title: "L3 Item 2",
            target: "/",
          },
          {
            title: "L3 Item 3",
            target: "/",
          },
          {
            title: "L3 Item 4",
            target: "/",
          },
          {
            title: "L3 Item 5",
            target: "/",
          },
        ],
      },
      {
        title: "Hamburg 2054",
        target: "/",
      },
      {
        title: "Members",
        target: "/",
        children: [
          {
            title: "L3 Item 1",
            target: "/",
          },
          {
            title: "L3 Item 2",
            target: "/",
          },
          {
            title: "L3 Item 3",
            target: "/",
          },
          {
            title: "L3 Item 4",
            target: "/",
          },
        ],
      },
      {
        title: "Career",
        target: "/",
      },
      {
        title: "Blog",
        target: "/",
        children: [
          {
            title: "L3 Item 1",
            target: "/",
          },
          {
            title: "L3 Item 2",
            target: "/",
          },
          {
            title: "L3 Item 3",
            target: "/",
          },
          {
            title: "L3 Item 4",
            target: "/",
          },
        ],
      },
    ],
  },
  {
    title: "Network",
    target: "/",
    children: [
      {
        title: "Map",
        target: "/",
      },
      {
        title: "Fab Labs",
        target: "/",
      },
      {
        title: "Unternehmen",
        target: "/",
      },
      {
        title: "Community",
        target: "/",
        children: [
          {
            title: "L3 Item 1",
            target: "/",
          },
          {
            title: "L3 Item 2",
            target: "/",
          },
          {
            title: "L3 Item 3",
            target: "/",
          },
          {
            title: "L3 Item 4",
            target: "/",
          },
        ],
      },
      {
        title: "Fab City Global",
        target: "/",
      },
    ],
  },
  {
    title: "Projects",
    target: "/",
    children: [
      {
        title: "Kalender",
        target: "/",
      },
      {
        title: "Workshops",
        target: "/",
        children: [
          {
            title: "L3 Item 1",
            target: "/",
          },
          {
            title: "L3 Item 2",
            target: "/",
          },
          {
            title: "L3 Item 3",
            target: "/",
          },
          {
            title: "L3 Item 4",
            target: "/",
          },
        ],
      },
      {
        title: "Prototype Session",
        target: "/",
      },
      {
        title: "Fab Friday",
        target: "/",
      },
      {
        title: "Maker Challenge 2022",
        target: "/",
      },
    ],
  },
  {
    title: "Research",
    target: "/",
    children: [
      {
        title: "Fab City OS",
        target: "/",
      },
      {
        title: "Open Lab Starter Kit",
        target: "/",
        children: [
          {
            title: "L3 Item 1",
            target: "/",
          },
          {
            title: "L3 Item 2",
            target: "/",
          },
          {
            title: "L3 Item 3",
            target: "/",
          },
          {
            title: "L3 Item 4",
            target: "/",
          },
        ],
      },
      {
        title: "FarmBot Hamburg",
        target: "/",
        children: [
          {
            title: "L3 Item 1",
            target: "/",
          },
          {
            title: "L3 Item 2",
            target: "/",
          },
          {
            title: "L3 Item 3",
            target: "/",
          },
          {
            title: "L3 Item 4",
            target: "/",
          },
          {
            title: "L3 Item 5",
            target: "/",
          },
        ],
      },
      {
        title: "Fab City Incubator",
        target: "/",
      },
      {
        title: "Fab City Index",
        target: "/",
      },
    ],
  },
  {
    title: "Contact",
    target: "/",
  },
];

const SOCIAL_MEDIA = [
  {
    type: "instagram" as const,
    href: "#",
  },
  {
    type: "youtube" as const,
    href: "#",
  },
  {
    type: "twitter" as const,
    href: "#",
  },
  {
    type: "gitlab" as const,
    href: "#",
  },
  {
    type: "linkedin" as const,
    href: "#",
  },
  {
    type: "mastodon" as const,
    href: "#",
  },
  {
    type: "facebook" as const,
    href: "#",
  },
];

const supportedBy = [
  {
    alt: "Another Logo",
    href: "https://www.google.de",
    img: FCHHLogo,
  },
  {
    alt: "Some Logo",
    href: "https://www.google.de",
    img: FCHHLogoStacked,
  },
];

const NewsletterFormExample: React.FC = () => (
  <>
    <h5 className="fs-font-karla fs-text-base fs-leading-6 fs-font-semibold fs-tracking-wide fs-uppercase fs-text-pearl-200">
      Join our Newsletter 🤙
    </h5>
    <div className="fs-w-full fs-mt-4 fs-flex fs-flex-col md:fs-flex-row">
      <input
        className="fs-w-full md:fs-w-[72%] fs-px-3 fs-py-2 fs-rounded fs-font-plex fs-text-base fs-leading-6 fs-font-normal fs-outline-0"
        placeholder="Enter your email"
      />
      <button className="fs-bg-white md:fs-flex-1 fs-py-2 fs-rounded fs-font-plex fs-text-base fs-leading-6 fs-font-medium fs-mt-3 md:fs-mt-0 md:fs-ml-4">
        Subscribe
      </button>
    </div>
  </>
);

export const FooterStory = () => (
  <Footer
    menu={TOPBAR_ITEMS}
    copyright="2022 Fab City Hamburg e.V."
    socialMedia={SOCIAL_MEDIA}
    newsletterSlot={<NewsletterFormExample />}
    supportedBy={supportedBy}
    policyLinks={POLICY}
  />
);
export default {
  title: "Organisms",
};
FooterStory.storyName = "Footer";
